> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/offer_profiles/

Lists all offer profiles for an individual User.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/offer-profiles/offer-profile-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /offer_profiles/:
    get:
      operationId: offer-profile-list
      summary: List
      description: Lists all offer profiles for an individual User.
      tags:
        - offerProfiles
      parameters:
        - name: offer_profile_category
          in: query
          description: Controls inclusion/filtering of offer profiles with SFI.
          required: false
          schema:
            $ref: >-
              #/components/schemas/OfferProfilesGetParametersOfferProfileCategory
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OfferProfilesGetParametersStatus'
            default: available
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Offer
                  Profiles_offer-profile-list_Response_200
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Offer-profile-listRequestForbiddenError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    OfferProfilesGetParametersOfferProfileCategory:
      type: string
      enum:
        - all
        - all_with_standard_flex_incentives
        - only_with_standard_flex_incentives
      title: OfferProfilesGetParametersOfferProfileCategory
    OfferProfilesGetParametersStatus:
      type: string
      enum:
        - available
        - archived
        - all
      default: available
      title: OfferProfilesGetParametersStatus
    OfferProfilesGetResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - available
        - archived
      default: available
      title: OfferProfilesGetResponsesContentApplicationJsonSchemaStatus
    OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          type: integer
          default: 0
        threshold_value:
          type: string
      title: >-
        OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems
    OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCoupon:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        code:
          type: string
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems
      title: OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCoupon
    OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          type: integer
          default: 0
        threshold_value:
          type: string
      title: >-
        OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems
    OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCoupon:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        code:
          type: string
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems
      title: OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCoupon
    Offer Profiles_offer-profile-list_Response_200:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        live:
          type: boolean
          default: 'true'
        status:
          $ref: >-
            #/components/schemas/OfferProfilesGetResponsesContentApplicationJsonSchemaStatus
          default: available
        weight:
          type: integer
          default: 0
        offers:
          type: array
          items:
            type: string
        recurring_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCoupon
        initial_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCoupon
      title: Offer Profiles_offer-profile-list_Response_200
    Offer-profile-listRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Offer-profile-listRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{
  "public_id": "e3e9ac44a24f15e485b0bc764e107cf3",
  "name": "offer profile name",
  "live": true,
  "status": "available",
  "weight": 100,
  "offers": [
    "a748aa648ac811e8af3bbc764e106cf4"
  ],
  "recurring_coupon": {
    "public_id": "ff48e9fdc8eb4d79abd7c8c573523d25",
    "name": "Demo Store Incentives",
    "code": "demo_store",
    "discounts": [
      {
        "public_id": "c67dec11aedb4885aa9a58c3f89de746",
        "name": "Free shipping on orders over $50",
        "object": 1,
        "field": 2,
        "type": "Free discount_percent",
        "value": "100",
        "threshold_field": 3,
        "threshold_value": "50"
      }
    ]
  },
  "initial_coupon": {
    "public_id": "ff48e9fdc8eb4d79abd7c8c573523d25",
    "name": "Demo Store Incentives",
    "code": "demo_store",
    "discounts": [
      {
        "public_id": "c67dec11aedb4885aa9a58c3f89de746",
        "name": "Free shipping on orders over $50",
        "object": 1,
        "field": 2,
        "type": "Free discount_percent",
        "value": "100",
        "threshold_field": 3,
        "threshold_value": "50"
      }
    ]
  }
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/offer_profiles/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/offer_profiles/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/offer_profiles/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/offer_profiles/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```